Index: npl/internetserver/libreswan/libreswan.SlackBuild
===================================================================
--- npl/internetserver/libreswan/libreswan.SlackBuild	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan/libreswan.SlackBuild	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -10,7 +10,11 @@
 #DEP:Linux_PAM
 
+#voor dnssec (moet openssl 1.1.x)
+##DEP:ldns
+##DEP:openssl
+
 KVER=`uname -r` || exit 1
 NAME=libreswan
-VERSION=3.19
+VERSION=3.21
 CWD=`pwd`
 TMP="/tmp"
@@ -33,6 +37,6 @@
 #make KERNELSRC=/usr/src/linux INC_USRLOCAL=/usr module || exit 1
 
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
-make USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr programs || exit 1
+make USE_DNSSEC=NO USE_SYSTEMD_WATCHDOG=false INC_USRLOCAL=/usr DESTDIR=$PKGTMP install || exit 1
 #make programs || exit 1
 #make DESTDIR=$PKGTMP install || exit 1
Index: npl/internetserver/libreswan/libreswan.build
===================================================================
--- npl/internetserver/libreswan/libreswan.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan/libreswan.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -1,1 +1,1 @@
-6529
+6532
Index: npl/internetserver/libreswan/libreswan.md5
===================================================================
--- npl/internetserver/libreswan/libreswan.md5	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan/libreswan.md5	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -1,5 +1,6 @@
 f2abcdcdccb2ec42f226a6dbb0528cad  ./libreswan-3.19.tar.gz
-f78b6e04694cf6f8944a1e159a48dd62  ./libreswan.pkg
-4024c272503481717994b9d33765d9e3  ./libreswan.SlackBuild
-69f197d47331938aa00ff805429ab9ec  ./libreswan.SlackBuild.log.gz
+cdd455cc3a97cd975ca9c92a55970641  ./libreswan-3.21.tar.gz
+faefabcbb43cfed9eb1ec10afe48349f  ./libreswan.pkg
+61949529dcf9867f1e72f4bc20382f24  ./libreswan.SlackBuild
+a50e41be47f9492ada4a8074e77822ce  ./libreswan.SlackBuild.log.gz
 fe6e06b11db12940987cc2010b48a71e  ./libreswan.tar.gz
Index: npl/internetserver/libreswan/libreswan.version
===================================================================
--- npl/internetserver/libreswan/libreswan.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan/libreswan.version	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -1,1 +1,1 @@
-3.19
+3.21
Index: npl/internetserver/libreswan_conf/libreswan_conf.build
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan_conf/libreswan_conf.build	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -1,1 +1,1 @@
-6551
+6552
Index: npl/internetserver/libreswan_conf/libreswan_conf.md5
===================================================================
--- npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan_conf/libreswan_conf.md5	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -1,6 +1,6 @@
-c5defc086bf6a5e4ed2ed3fbc0bef6b8  ./libreswan_conf.pkg
+544cf91ec7a3987868055d7eeb063aed  ./libreswan_conf.pkg
 42016730303eef15aafe66cc3d793c8b  ./libreswan_conf.SlackBuild
-54ed40f65156865bd1297c747d60fc9f  ./libreswan_conf.SlackBuild.log.gz
-81fe5cddee2633f9371fa91868feb6c7  ./root/etc/ipsec.conf
+7dc0067eced4d98f26cb9b532dc61691  ./libreswan_conf.SlackBuild.log.gz
+811bbe5f8db6bf1ffff4ed5b66fc05f2  ./root/etc/ipsec.conf
 53d9d2008956917a02c0c670100165f6  ./root/etc/ipsec.secrets
 f0188fc8f667dc97590f885fd1adfc7d  ./root/etc/pam.d/pluto
Index: npl/internetserver/libreswan_conf/root/etc/ipsec.conf
===================================================================
--- npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/libreswan_conf/root/etc/ipsec.conf	(revision d7191d1580d00a16ed3a500b7e5cbb5dc73dc9f4)
@@ -6,10 +6,8 @@
 # basic configuration
 config setup
-        nat_traversal=yes
         #plutoopts="--disable_port_floating"
         virtual_private=%v4:10.0.0.0/8,%v4:192.168.0.0/16,%v4:172.16.0.0/12
-	oe=off
         # which IPsec stack to use. netkey,klips,mast,auto or none
-	protostack=netkey
+        protostack=netkey
 
 conn %default
